Webhooks
Update Webhook
Update the URL, event types, or enabled state of a webhook.
PATCH
/
api
/
v1
/
webhooks
/
{id}
Update Webhook
curl --request PATCH \
--url https://api.example.com/api/v1/webhooks/{id} \
--header 'Content-Type: application/json' \
--data '
{
"url": "<string>",
"event_types": [
"<string>"
],
"enabled": true,
"description": "<string>"
}
'import requests
url = "https://api.example.com/api/v1/webhooks/{id}"
payload = {
"url": "<string>",
"event_types": ["<string>"],
"enabled": True,
"description": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
url: '<string>',
event_types: ['<string>'],
enabled: true,
description: '<string>'
})
};
fetch('https://api.example.com/api/v1/webhooks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Path Parameters
The webhook UUID.
Request
All fields are optional — include only the fields you want to change.New endpoint URL. Subject to SSRF validation.
New set of subscribed event types.
Enable or disable the webhook. Disabled webhooks skip delivery.
Updated description.
Example
curl -X PATCH https://www.hitheo.ai/api/v1/webhooks/WEBHOOK_ID \
-H "Authorization: Bearer $THEO_API_KEY" \
-H "Content-Type: application/json" \
-d '{ "event_types": ["*"], "enabled": true }'
await theo.updateWebhook("WEBHOOK_ID", {
event_types: ["*"],
enabled: true,
});
Response
{ "updated": true }
Was this page helpful?
⌘I
Update Webhook
